LSCFG(8)

NAME
lscfg - list hardware configuration

SYNOPSIS

lscfg [-v | --verbose] [-p | --specific] [-l<name> | --list=<name>] [-d<database-file> | --data=<database-file>] [-z<database-archive> | --zip=<database-archive>] [-h | --help]

DESCRIPTION

This program is part of the lsvpd package for Linux. This package is a (partial) reimplementation of AIX's lsvpd and related commands.

 lscfg lists hardware configuration information for the system and its components. The output is in a human readable format. This implementation is merely a pretty-printer for information that has been stored in lscfg's hardware inventory database at boot and hot-plug time. Therefore, the vpdupdate(8) command must have been executed prior to running lscfg.

Some IBM POWER systems feature dynamic VPD. lscfg will only list this VPD when invoked by the root user - when invoked by another user this VPD will be omitted but other VPD will still be listed.

OPTIONS

-v|--verbose
    Show Vital Product Data (VPD) for components, where available.

-p|--specific
    List platform-specific information in a separate section, where available.

-l<name>|--list=<name>
    Only show configuration information for the component with the given operating system name (i.e. the AX field in lsvpd output). Note that name may include wildcards, such as * and ? (however, such wildcards should be protected from the shell).

-d<database-file>|--data=<database-file>
    Use <database-file> as the hardware inventory database, rather than the default file (/var/lib/lsvpd/vpd.db). This option is useful for producing output for previous hardware inventory databases that have been replaced by the system.

-z<database-archive>|--zip=<database-archive>
    Use <database-archive> as the hardware inventory database, rather than the default directory (/var/lib/lsvpd/). The archive is a tar(1) archive that has been compressed using gzip(1). It must contain a single directory containing at least a file called system-id. This option is useful for producing output for old hardware inventory databases that have been archived by the system.

-h|--help
    Display a help screen and quit.

FILES

/var/lib/lsvpd/vpd.db
    Database file used by lscfg.

SEE ALSO

lsvpd(8), lsmcode(8), lsvio(8), vpdupdate(8)

AUTHORS

Eric Munson <ebmunson@us.ibm.com>. Brad Peters <bpeters@us.ibm.com>.

Copyright (c) 2002 - 2013 IBM.